Bug 118679 - Update graphics/Coin to version 2.5.0
Summary: Update graphics/Coin to version 2.5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-13 20:10 UTC by Pedro F. Giffuni
Modified: 2007-12-27 12:00 UTC (History)
0 users

See Also:


Attachments
file.diff (9.70 KB, patch)
2007-12-13 20:10 UTC, Pedro F. Giffuni
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni 2007-12-13 20:10:01 UTC
- Update to version 2.5.0, which achieves full OpenInventor 2.1 compatibility.
- Add experimental JavaScript support
Comment 1 Li-Wen Hsu freebsd_committer 2007-12-13 20:12:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lwhsu

I'll take it.
Comment 2 Li-Wen Hsu freebsd_committer 2007-12-25 12:28:33 UTC
Hello,

This port leaves following files after deinstalling:

usr/local/include/SoDebug.h
usr/local/lib/pkgconfig
usr/local/lib/pkgconfig/Coin.pc

And about the pkgconfig stuff, installing pkg-config files into lib/pkgconfig is not a desired behavior.
All pkg-config files must be installed into libdata/pkgconfig for them to be found by pkg-config.

You can check these via portlint (ports-mgmt/portlint), with -abct options.

Please check this port again, thanks very much!

-- 
Best Regards,
Li-Wen Hsu
Comment 3 Li-Wen Hsu freebsd_committer 2007-12-25 12:28:40 UTC
State Changed
From-To: open->feedback

Ask for submitter fix.
Comment 4 Pedro F. Giffuni 2007-12-26 02:51:47 UTC
Thank You!

This complete new patch should fix it:

diff -ruN Coin.orig/Makefile Coin/Makefile
--- Coin.orig/Makefile	2007-12-12 23:33:10.000000000 -0500
+++ Coin/Makefile	2007-12-13 00:28:34.000000000 -0500
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	Coin
-PORTVERSION=	2.4.6
-PORTREVISION=	1
+PORTVERSION=	2.5.0
 CATEGORIES=	graphics
 MASTER_SITES=	http://ftp.coin3d.org/coin/src/all/ \
 		ftp://ftp.coin3d.org/pub/coin/src/all/
@@ -21,8 +20,9 @@
 USE_GL=		yes
 GNU_CONFIGURE=	yes
 CONFIGURE_TARGET=	--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
-CONFIGURE_ARGS=	--with-pthread=yes --enable-threadsafe \
-		--enable-3ds-import --enable-sound
+CONFIGURE_ARGS=	--with-pthread=yes --enable-threadsafe	\
+		--enable-3ds-import --enable-sound	\
+		--enable-javascript-api
 USE_LDCONFIG=	yes
 MAKE_ENV=	LANG=C
 
diff -ruN Coin.orig/distinfo Coin/distinfo
--- Coin.orig/distinfo	2007-12-12 23:33:10.000000000 -0500
+++ Coin/distinfo	2007-12-12 23:37:57.000000000 -0500
@@ -1,3 +1,3 @@
-MD5 (Coin-2.4.6.tar.gz) = 30efbdb9c761dd9fea7a7f4a0f01a50d
-SHA256 (Coin-2.4.6.tar.gz) =
9f61af4d87847e48bdb04d2e116f54ec59e9cf81c432e401150508e88e0a6e6a
-SIZE (Coin-2.4.6.tar.gz) = 4016490
+MD5 (Coin-2.5.0.tar.gz) = 1e7cb6afa69f6eed034a64021f7d1bfc
+SHA256 (Coin-2.5.0.tar.gz) =
28bebac7f12025c7cf70a89aff4c7e6cd244ce0deae6ce947cc2806ef6db24be
+SIZE (Coin-2.5.0.tar.gz) = 4360148
diff -ruN Coin.orig/files/patch-Makefile.in Coin/files/patch-Makefile.in
--- Coin.orig/files/patch-Makefile.in	1969-12-31 19:00:00.000000000 -0500
+++ Coin/files/patch-Makefile.in	2007-12-25 21:38:14.000000000 -0500
@@ -0,0 +1,11 @@
+--- Makefile.in.orig	2007-12-25 21:33:49.000000000 -0500
++++ Makefile.in	2007-12-25 21:37:23.000000000 -0500
+@@ -284,7 +284,7 @@
+ 
+ SUBDIRS = . bin include $(SRCDIRS) $(DOCDIRS) $(JAVADIR)
+ 
+-pkgconfigdir = $(libdir)/pkgconfig
++pkgconfigdir = $(exec_prefix)/libdata/pkgconfig
+ pkgconfig_DATA = Coin.pc
+ 
+ BUILT_SOURCES = \
diff -ruN Coin.orig/pkg-plist Coin/pkg-plist
--- Coin.orig/pkg-plist	2007-12-12 23:33:10.000000000 -0500
+++ Coin/pkg-plist	2007-12-25 21:40:12.000000000 -0500
@@ -32,8 +32,11 @@
 include/Inventor/SbBox.h
 include/Inventor/SbBox2d.h
 include/Inventor/SbBox2f.h
+include/Inventor/SbBox2i32.h
 include/Inventor/SbBox2s.h
+include/Inventor/SbBox3d.h
 include/Inventor/SbBox3f.h
+include/Inventor/SbBox3i32.h
 include/Inventor/SbBox3s.h
 include/Inventor/SbClip.h
 include/Inventor/SbColor.h
@@ -60,16 +63,34 @@
 include/Inventor/SbString.h
 include/Inventor/SbTesselator.h
 include/Inventor/SbTime.h
+include/Inventor/SbTypeInfo.h
+include/Inventor/SbVec2b.h
 include/Inventor/SbVec2d.h
 include/Inventor/SbVec2f.h
+include/Inventor/SbVec2i32.h
 include/Inventor/SbVec2s.h
+include/Inventor/SbVec2ub.h
+include/Inventor/SbVec2ui32.h
+include/Inventor/SbVec2us.h
+include/Inventor/SbVec3b.h
 include/Inventor/SbVec3d.h
 include/Inventor/SbVec3f.h
+include/Inventor/SbVec3i32.h
 include/Inventor/SbVec3s.h
+include/Inventor/SbVec3ub.h
+include/Inventor/SbVec3ui32.h
+include/Inventor/SbVec3us.h
+include/Inventor/SbVec4b.h
 include/Inventor/SbVec4d.h
 include/Inventor/SbVec4f.h
+include/Inventor/SbVec4i32.h
+include/Inventor/SbVec4s.h
+include/Inventor/SbVec4ub.h
+include/Inventor/SbVec4ui32.h
+include/Inventor/SbVec4us.h
 include/Inventor/SbViewVolume.h
 include/Inventor/SbViewportRegion.h
+include/Inventor/SbXfBox3d.h
 include/Inventor/SbXfBox3f.h
 include/Inventor/So.h
 include/Inventor/SoDB.h
@@ -175,6 +196,11 @@
 include/Inventor/actions/SoToVRML2Action.h
 include/Inventor/actions/SoToVRMLAction.h
 include/Inventor/actions/SoWriteAction.h
+include/Inventor/annex/FXViz/elements/SoGLShadowCullingElement.h
+include/Inventor/annex/FXViz/elements/SoShadowStyleElement.h
+include/Inventor/annex/FXViz/nodes/SoShadowCulling.h
+include/Inventor/annex/FXViz/nodes/SoShadowGroup.h
+include/Inventor/annex/FXViz/nodes/SoShadowStyle.h
 include/Inventor/annex/HardCopy/SoHardCopy.h
 include/Inventor/annex/HardCopy/SoPSVectorOutput.h
 include/Inventor/annex/HardCopy/SoVectorOutput.h
@@ -276,6 +302,7 @@
 include/Inventor/elements/SoGLProjectionMatrixElement.h
 include/Inventor/elements/SoGLRenderPassElement.h
 include/Inventor/elements/SoGLShadeModelElement.h
+include/Inventor/elements/SoGLShaderProgramElement.h
 include/Inventor/elements/SoGLShapeHintsElement.h
 include/Inventor/elements/SoGLTexture3EnabledElement.h
 include/Inventor/elements/SoGLTextureCoordinateElement.h
@@ -286,6 +313,7 @@
 include/Inventor/elements/SoGLVBOElement.h
 include/Inventor/elements/SoGLViewingMatrixElement.h
 include/Inventor/elements/SoGLViewportRegionElement.h
+include/Inventor/elements/SoGeoElement.h
 include/Inventor/elements/SoInt32Element.h
 include/Inventor/elements/SoLazyElement.h
 include/Inventor/elements/SoLightAttenuationElement.h
@@ -400,6 +428,8 @@
 include/Inventor/fields/SoMFBitMask.h
 include/Inventor/fields/SoMFBool.h
 include/Inventor/fields/SoMFColor.h
+include/Inventor/fields/SoMFColorRGBA.h
+include/Inventor/fields/SoMFDouble.h
 include/Inventor/fields/SoMFEngine.h
 include/Inventor/fields/SoMFEnum.h
 include/Inventor/fields/SoMFFloat.h
@@ -417,16 +447,38 @@
 include/Inventor/fields/SoMFUInt32.h
 include/Inventor/fields/SoMFULong.h
 include/Inventor/fields/SoMFUShort.h
+include/Inventor/fields/SoMFVec2b.h
+include/Inventor/fields/SoMFVec2d.h
 include/Inventor/fields/SoMFVec2f.h
+include/Inventor/fields/SoMFVec2i32.h
+include/Inventor/fields/SoMFVec2s.h
+include/Inventor/fields/SoMFVec3b.h
+include/Inventor/fields/SoMFVec3i32.h
 include/Inventor/fields/SoMFVec3d.h
 include/Inventor/fields/SoMFVec3f.h
+include/Inventor/fields/SoMFVec3s.h
+include/Inventor/fields/SoMFVec4b.h
+include/Inventor/fields/SoMFVec4d.h
+include/Inventor/fields/SoMFVec4i32.h
 include/Inventor/fields/SoMFVec4f.h
+include/Inventor/fields/SoMFVec4s.h
+include/Inventor/fields/SoMFVec4ub.h
+include/Inventor/fields/SoMFVec4ui32.h
+include/Inventor/fields/SoMFVec4us.h
 include/Inventor/fields/SoMField.h
 include/Inventor/fields/SoSFBitMask.h
 include/Inventor/fields/SoSFBool.h
+include/Inventor/fields/SoSFBox2d.h
+include/Inventor/fields/SoSFBox2f.h
+include/Inventor/fields/SoSFBox2i32.h
+include/Inventor/fields/SoSFBox2s.h
+include/Inventor/fields/SoSFBox3d.h
 include/Inventor/fields/SoSFBox3f.h
+include/Inventor/fields/SoSFBox3i32.h
 include/Inventor/fields/SoSFBox3s.h
 include/Inventor/fields/SoSFColor.h
+include/Inventor/fields/SoSFColorRGBA.h
+include/Inventor/fields/SoSFDouble.h
 include/Inventor/fields/SoSFEngine.h
 include/Inventor/fields/SoSFEnum.h
 include/Inventor/fields/SoSFFloat.h
@@ -447,12 +499,24 @@
 include/Inventor/fields/SoSFUInt32.h
 include/Inventor/fields/SoSFULong.h
 include/Inventor/fields/SoSFUShort.h
+include/Inventor/fields/SoSFVec2b.h
+include/Inventor/fields/SoSFVec2d.h
 include/Inventor/fields/SoSFVec2f.h
+include/Inventor/fields/SoSFVec2i32.h
 include/Inventor/fields/SoSFVec2s.h
+include/Inventor/fields/SoSFVec3b.h
 include/Inventor/fields/SoSFVec3d.h
 include/Inventor/fields/SoSFVec3f.h
+include/Inventor/fields/SoSFVec3i32.h
 include/Inventor/fields/SoSFVec3s.h
+include/Inventor/fields/SoSFVec4b.h
+include/Inventor/fields/SoSFVec4d.h
 include/Inventor/fields/SoSFVec4f.h
+include/Inventor/fields/SoSFVec4i32.h
+include/Inventor/fields/SoSFVec4s.h
+include/Inventor/fields/SoSFVec4ub.h
+include/Inventor/fields/SoSFVec4ui32.h
+include/Inventor/fields/SoSFVec4us.h
 include/Inventor/fields/SoSField.h
 include/Inventor/fields/SoSubField.h
 include/Inventor/lists/SbIntList.h
@@ -495,6 +559,7 @@
 include/Inventor/misc/SoChildList.h
 include/Inventor/misc/SoContextHandler.h
 include/Inventor/misc/SoGLBigImage.h
+include/Inventor/misc/SoGLCubeMapImage.h
 include/Inventor/misc/SoGLImage.h
 include/Inventor/misc/SoGlyph.h
 include/Inventor/misc/SoJavaScriptEngine.h
@@ -551,6 +616,13 @@
 include/Inventor/nodes/SoFile.h
 include/Inventor/nodes/SoFont.h
 include/Inventor/nodes/SoFontStyle.h
+include/Inventor/nodes/SoFragmentShader.h
+include/Inventor/nodes/SoFrustumCamera.h
+include/Inventor/nodes/SoGeoCoordinate.h
+include/Inventor/nodes/SoGeoLocation.h
+include/Inventor/nodes/SoGeoOrigin.h
+include/Inventor/nodes/SoGeoSeparator.h
+include/Inventor/nodes/SoGeometryShader.h
 include/Inventor/nodes/SoGroup.h
 include/Inventor/nodes/SoImage.h
 include/Inventor/nodes/SoIndexedFaceSet.h
@@ -603,6 +675,9 @@
 include/Inventor/nodes/SoSceneTexture2.h
 include/Inventor/nodes/SoSelection.h
 include/Inventor/nodes/SoSeparator.h
+include/Inventor/nodes/SoShaderObject.h
+include/Inventor/nodes/SoShaderParameter.h
+include/Inventor/nodes/SoShaderProgram.h
 include/Inventor/nodes/SoShape.h
 include/Inventor/nodes/SoShapeHints.h
 include/Inventor/nodes/SoShuttle.h
@@ -628,6 +703,8 @@
 include/Inventor/nodes/SoTextureCoordinateFunction.h
 include/Inventor/nodes/SoTextureCoordinatePlane.h
 include/Inventor/nodes/SoTextureCoordinateSphere.h
+include/Inventor/nodes/SoTextureCubeMap.h
+include/Inventor/nodes/SoTextureMatrixTransform.h
 include/Inventor/nodes/SoTextureScalePolicy.h
 include/Inventor/nodes/SoTextureUnit.h
 include/Inventor/nodes/SoTransform.h
@@ -639,6 +716,7 @@
 include/Inventor/nodes/SoUnits.h
 include/Inventor/nodes/SoVertexProperty.h
 include/Inventor/nodes/SoVertexShape.h
+include/Inventor/nodes/SoVertexShader.h
 include/Inventor/nodes/SoWWWAnchor.h
 include/Inventor/nodes/SoWWWInline.h
 include/Inventor/non_winsys.h
@@ -680,11 +758,13 @@
 include/Inventor/threads/SbThread.h
 include/Inventor/threads/SbThreadAutoLock.h
 include/Inventor/threads/SbTypedStorage.h
+include/SoDebug.h
 include/SoWinEnterScope.h
 include/SoWinLeaveScope.h
 lib/libCoin.la
 lib/libCoin.so
-lib/libCoin.so.44
+lib/libCoin.so.45
+libdata/pkgconfig/Coin.pc
 %%DATADIR%%/conf/coin-default.cfg
 %%DATADIR%%/draggerDefaults/centerballDragger.iv
 %%DATADIR%%/draggerDefaults/directionalLightDragger.iv
@@ -707,8 +787,16 @@
 %%DATADIR%%/draggerDefaults/transformerDragger.iv
 %%DATADIR%%/draggerDefaults/translate1Dragger.iv
 %%DATADIR%%/draggerDefaults/translate2Dragger.iv
+%%DATADIR%%/shaders/lights/DirSpotLight.glsl
+%%DATADIR%%/shaders/lights/DirectionalLight.glsl
+%%DATADIR%%/shaders/lights/PointLight.glsl
+%%DATADIR%%/shaders/lights/SpotLight.glsl
+%%DATADIR%%/shaders/vsm/VsmLookup.glsl
 share/aclocal/coin.m4
 @dirrm %%DATADIR%%/draggerDefaults
+@dirrm %%DATADIR%%/shaders/lights
+@dirrm %%DATADIR%%/shaders/vsm
+@dirrm %%DATADIR%%/shaders
 @dirrm %%DATADIR%%/conf
 @dirrm %%DATADIR%%
 @dirrm include/Inventor/threads
@@ -731,6 +819,9 @@
 @dirrm include/Inventor/collision
 @dirrm include/Inventor/caches
 @dirrm include/Inventor/bundles
+@dirrm include/Inventor/annex/FXViz/elements
+@dirrm include/Inventor/annex/FXViz/nodes
+@dirrm include/Inventor/annex/FXViz
 @dirrm include/Inventor/annex/HardCopy
 @dirrm include/Inventor/annex
 @dirrm include/Inventor/actions


---
     Pedro F. Giffuni
     M. Sc. Industrial Eng. University of Pittsburgh
     Mech. Eng.      Universidad Nacional de Colombia
---
Yahoo is powered by FreeBSD    http://www.FreeBSD.org/


      ___________________________________ 
L'email della prossima generazione? Puoi averla con la nuova Yahoo! Mail: http://it.docs.yahoo.com/nowyoucan.html
Comment 5 dfilter service freebsd_committer 2007-12-27 11:59:01 UTC
lwhsu       2007-12-27 11:58:53 UTC

  FreeBSD ports repository

  Modified files:
    graphics/Coin        Makefile distinfo pkg-plist 
  Added files:
    graphics/Coin/files  patch-Makefile.in 
  Log:
  - Update to version 2.5.0, which achieves full OpenInventor 2.1 compatibility.
  - Add experimental JavaScript support
  
  PR:             ports/118679
  Submitted by:   "Pedro F. Giffuni" <giffunip AT tutopia.com>
  
  Revision  Changes    Path
  1.27      +4 -4      ports/graphics/Coin/Makefile
  1.12      +3 -3      ports/graphics/Coin/distinfo
  1.1       +11 -0     ports/graphics/Coin/files/patch-Makefile.in (new)
  1.15      +92 -1     ports/graphics/Coin/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Li-Wen Hsu freebsd_committer 2007-12-27 11:59:02 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!